Last Comment Bug 32720 - [UI] Create a pref item for Default Display charset for Messenger
: [UI] Create a pref item for Default Display charset for Messenger
Status: VERIFIED FIXED
[nsbeta2-]
:
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: Trunk
: x86 Windows 98
: P3 normal (vote)
: M17
Assigned To: scottputterman
: Katsuhiko Momoi
:
Mentors:
: 39097 (view as bug list)
Depends on:
Blocks: 33977 35851
  Show dependency treegraph
 
Reported: 2000-03-21 14:13 PST by Katsuhiko Momoi
Modified: 2004-11-22 17:25 PST (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
screen shot of new pref items (71.96 KB, image/jpeg)
2000-04-06 13:23 PDT, nhottanscp
no flags Details

Description Katsuhiko Momoi 2000-03-21 14:13:14 PST
Because of rhp's backend work, Bug 28863, we now have a way to
deal with the default mail viewing charset in the backend.
This bug is filed to create a pref UI item for this. 

mailnews.view_default_charset

applies to any message which lacks the MIME charset info.
This setting will be used unless there is auto-detection
module engaged or a manual menu override has been effected.

A simple UI proposal would be somehting like the following:

Edit | Prefs | Mail & News | Internaitonal | Message View default charset

There should be a combobox list of available charsets to choose from.
Once set, it will apply to all mail/news folders unless a per-folder 
charset is set differently.

Currently, the per folder charset is proposed as a separate
item available from within the folder properties dialog, see 
Bug 32714. 

It may be possible to combine these 2 and place them under the folder
properties dialog. But for now, I propose to keep these 2
separate until implementation begins under way.
Comment 1 Katsuhiko Momoi 2000-03-21 16:03:19 PST
Assignng myself as QA contact.
Comment 2 bobj 2000-03-31 17:56:53 PST
If there are only 2 additional I18N mail specific UI prefs:

 bug 32720 [UI] Create a pref item for Default Display charset for Messenger 
 bug 32802 [UI] create a pref item for Send message default charset 

then I don't think this warrants a new International pref panel.  Instead we
should just add these to the Edit | Prefs | Mail & News | Messages
panel: (1) under "For incoming messages" section and (2) under "For outgoing
messages" section.  Each would look something like:

   Default Character Coding       [dropdown list]
Comment 3 bobj 2000-03-31 18:05:05 PST
German and mail folks,
  Are you OK with adding this to the Edit | Prefs | Mail & News | Messages
prefs panel?
Comment 4 bobj 2000-04-04 11:43:57 PDT
Assuming UE and mail team will approve, reassigning to nhotta for now.
Comment 5 nhottanscp 2000-04-04 13:40:22 PDT
Accepting, to be added inside "For incoming messages" in Messages pref, I am not 
sure any room is left for new items (if not, the item maynot be seen unless 
resizing the pref dialog).
Comment 6 nhottanscp 2000-04-06 13:23:13 PDT
Created attachment 7317 [details]
screen shot of new pref items
Comment 7 nhottanscp 2000-04-06 13:32:03 PDT
Attached a screen shot of this pref. I am going to check this in if I don't hear 
any objections.
Because of the additional items, I needed to change the default pref window 
size to 550. Any problem of that? With 640 * 480 screen, I cannot see the bottom 
edge of the dialog but I can see both "OK" and "Cancel" buttons at the bottom.
Comment 8 nhottanscp 2000-04-14 17:04:19 PDT
Checked in the UI with a fixed number of charset list.
Need to change the list of chasets to be dynamic.
Comment 9 nhottanscp 2000-05-01 15:05:42 PDT
My last check in was removed after the UI re-work.
I move this to M17 and remove nsbeta2 keyword since 32714 enables per folder 
based charset setting UI.
Comment 10 leger 2000-05-03 17:32:15 PDT
Are you cutting this or expecting to do this features after 5/16 and still 
getting this into PR2?
Comment 11 nhottanscp 2000-05-03 19:18:01 PDT
To clarify, mark as WONTFIX. At least not needed for beta2. If later we decide 
this is needed then we can reopen this.
Comment 12 Katsuhiko Momoi 2000-05-09 22:26:06 PDT
I'm going to re-open this for now. 
jglick@netscape.com has a UI proposal for this in
Bug 32802. I believe the backend work is ready also.
This provides a way to set/reset mail viewing default for 
all folders (existing and ones to be cerated in future). It will be
useful when a useer creates a new profile and would like to 
set a default different than the one set for the locale of the
client. It will aslo allow oyu to reset all folder charset settings.

nhotta, do you want to pass on the UI work to Mail News team?
Comment 13 nhottanscp 2000-05-10 08:47:59 PDT
>nhotta, do you want to pass on the UI work to Mail News team?
yes, the JS code to enumerate available charsets has been checked in,
mozilla/mailnews/compose/prefs/resources/content/pref-messages.js

Reassign to selmer, please assign mail/news engineer, contact me for questions, 
thanks.

Momoi san, if this is nsbeta2, please put that.
Comment 14 Katsuhiko Momoi 2000-05-10 10:37:32 PDT
This is needed to complete the UI work proposed in Bug 32802. 

This pref allows the user to set Mail Viewing default properly on a new profile,
or reset the existing folders' charset to the default. 
We anticipate the use of English Mozilla for many different languages
as English becomes more and more the default international language
for business and commerce. This pref allows an easy way for such global
oriented users to easily switch the mail viewing default charset. 

Per folder charset default discussed above should be positioned as an advanced
feature to deal with cases of different charsets in languages
such as Chinese, Russsian , etc. (Useful because these languages use more than
one charsets for mail and news.)

Nominating for nsbeta2 because it is an easy UI implementation for which the proposal
already exists (Bug 32802) and would be a good convenience feature for international users. 
Comment 15 selmer (gone) 2000-05-10 10:51:55 PDT
Scott, seems like one of yours.
Comment 16 laurel 2000-05-12 16:58:18 PDT
*** Bug 39097 has been marked as a duplicate of this bug. ***
Comment 17 bobj 2000-05-23 16:38:26 PDT
Scott, Did you forget to mark this FIXED?
Comment 18 scottputterman 2000-05-23 16:44:05 PDT
I've never done anything with this bug yet! :)  Is it fixed?  It looks like
nhotta did all of the work.
Comment 19 nhottanscp 2000-05-23 17:13:55 PDT
No, I did not do that. It was checked in by suresh, r=putterman.
But the menu item needs to change. Currently, it uses the same list as send 
default but the view default menu item should be different. I think the code I 
am writing for folder property dialog can be also used for this.
Comment 20 bobj 2000-05-25 12:55:34 PDT
I think the featue is implemented, so we should close this bug.
File another bug about the getting the correct list.
Comment 21 leger 2000-05-25 15:04:01 PDT
Putting on [nsbeta2-] radar.  
Comment 22 Katsuhiko Momoi 2000-07-11 20:15:10 PDT
** Checked with 7/10/2000 Win32, Linux and Mac builds **

The UI for default viewing charset is now in and working
The list is the same as for the send default charset and
that is not optimal. I'll file another bug for it.

Marking it resolved as fixed.
Comment 23 Katsuhiko Momoi 2000-07-11 20:15:30 PDT
Now it is verified as fixed.
Comment 24 Katsuhiko Momoi 2000-07-11 20:30:42 PDT
Bug 45218 has been filed to address the exapansion of 
the list.

Note You need to log in before you can comment on or make changes to this bug.